> ## Documentation Index
> Fetch the complete documentation index at: https://modulate.aurorapayments.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Reports

> Returns the list of available residual report months for the partner's organization.



## OpenAPI

````yaml GET /api/partner/residuals/reports
openapi: 3.0.3
info:
  title: Partner API
  description: External API for ISO partners to access merchant data, pricing, and reports
  version: 0.1.0
servers: []
security: []
paths:
  /api/partner/residuals/reports:
    get:
      tags:
        - Residuals
        - Residuals
      summary: List available reports
      description: >-
        Returns the list of available residual report months for the partner's
        organization.
      operationId: list_available_reports_api_partner_residuals_reports_get
      parameters:
        - name: updated_since
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: ISO-8601 timestamp for incremental sync
            title: Updated Since
            nullable: true
          description: ISO-8601 timestamp for incremental sync
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid API key
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
        '503':
          description: Residuals data source unavailable
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````